#include <stdlib.h>
#include <string>
#include <fstream>
#include <algorithm>
#include <stim/biomodels/network.h>

#include <ANN/ANN.h>
#include <boost/tuple/tuple.hpp>
using namespace stim;
//template <typename T>
network<float>* network1;


int main(int argc, char* argv[])
{
	if(argc < 4){
		std::cout<<"Please specify a ground truth and test case"<<std::endl;
		exit(1);
	}

	float sigma = atof(argv[3]);
	stim::network<float> GT;stim::network<float> T;
	// load obj files to 3D network class
	GT.load_obj(argv[1]);
	T.load_obj(argv[2]);
	//std::cout<<"ground truth------"<<GT.str()<<std::endl;
	//std::cout<<"truth-----------"<<T.str()<<std::endl;
	// resample the loaded networks
	stim::network<float> resampled_GT;stim::network<float> resampled_T;
	resampled_GT = GT.resample(sigma);
	resampled_T = T.resample(sigma);
	// compare ground truth with truth and viceversa
	float gFPR, gFNR;
	gFPR = GT.compare(T, sigma);
    gFNR = T.compare(GT, sigma);
	// print false alarms and misses
	std::cout << "False postive rate is " << gFPR << std::endl;
	std::cout << "False negative rate is " << gFNR << std::endl;
}